### Virtual Method

# Gtk IMContext delete_surrounding

#### Declaration [src]

    gboolean
    delete_surrounding (
      GtkIMContext* context,
      int offset,
      int n_chars
    )

#### Description [src]

Asks the widget that the input context is attached to delete characters around the cursor position by emitting the GtkIMContext::delete_surrounding signal.

Note that `offset` and `n_chars` are in characters not in bytes which differs from the usage other places in `GtkIMContext`.

In order to use this function, you should first call gtk_im_context_get_surrounding() to get the current context, and call this function immediately afterwards to make sure that you know what you are deleting. You should also account for the fact that even if the signal was handled, the input context might not have deleted all the characters that were requested to be deleted.

This function is used by an input method that wants to make subsitutions in the existing text in response to new input. It is not useful for applications.

#### Parameters

`offset` | `int`
| Offset from cursor position in chars; a negative value means start before the cursor.
`n_chars` | `int`
| Number of characters to delete.

#### Return value

Returns: | `gboolean`
| `TRUE` if the signal was handled.